Bug 149822 - Compatibility with SGI::FAM Perl module
Compatibility with SGI::FAM Perl module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
http://mail.gnome.org/archives/gamin-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-27 18:13 EST by Julien Dumont
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 03:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Dumont 2005-02-27 18:13:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Can't make SGI-FAM perl modules on Fedora core 3
Look at url for the problem...

http://mail.gnome.org/archives/gamin-list/2005-February/msg00016.html

FAM.xs: In function `famerror':
FAM.xs:123: warning: return discards qualifiers from pointer target type
FAM.c: In function `XS_FAMEventPtr_code':
FAM.c:813: error: storage size of 'RETVAL' isn't known

Version-Release number of selected component (if applicable):
gamin-0.0.24-1.FC3

How reproducible:
Always

Steps to Reproduce:
1. Perl Makefile.pl
2. make
3.
    

Actual Results:  [root@localhost SGI-FAM-1.002]# make
cp lib/SGI/FAM.pm blib/lib/SGI/FAM.pm
AutoSplitting blib/lib/SGI/FAM.pm (blib/lib/auto/SGI/FAM)
/usr/bin/perl /usr/lib/perl5/5.8.5/ExtUtils/xsubpp  -typemap
/usr/lib/perl5/5.8.5/ExtUtils/typemap -typemap typemap  FAM.xs >
FAM.xsc && mv FAM.xsc FAM.c
gcc -c   -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBUGGING
-fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2 -g -pipe -m32
-march=i386 -mtune=pentium4   -DVERSION=\"1.002\"
-DXS_VERSION=\"1.002\" -fPIC
"-I/usr/lib/perl5/5.8.5/i386-linux-thread-multi/CORE"   FAM.c
FAM.xs: In function `famerror':
FAM.xs:123: warning: return discards qualifiers from pointer target type
FAM.c: In function `XS_FAMEventPtr_code':
FAM.c:813: error: storage size of 'RETVAL' isn't known
make: *** [FAM.o] Error 1


Additional info:
Comment 1 Daniel Veillard 2005-03-15 07:07:32 EST
Fixed in CVS upstream, should be fixed in an upcoming release,

Daniel

Note You need to log in before you can comment on or make changes to this bug.